Linked group layers and particles
Closed, ResolvedPublic

Description

When I use linked group as particles objects, the layer of the group is not used, so I can't change the layer of my particles. I've noticed that it is the layer of the objects in the linked file that is used.

to reproduce this :

1. default scene , select the cube, create a group "A". save the file
2. New scene, link the group A as an instance dupligroup
3. delete the cube, create a sphere. add particles to it
4. Pick A as particles. render. It works
5. move the sphere and the group to layer 2.
6. check only layer 2 visible, check only layer 2 in the render layer visible, too.
7. Render, the particles aren't there

I noticed that particles visibility relies on groups (or object) layer and not its emitter layers, that could be a more logical workaround to modify this. The viewport behaviour relies on emitter, it should be identical.

tested with r38019 x64 and r39169 x32, win 7 Q6600

Janne Karhu (jhk) added a comment.Via Old WorldAug 8 2011, 5:55 PM

Assigned to self for investigation.

Ton Roosendaal (ton) added a comment.Via Old WorldAug 21 2011, 1:06 PM

Visibiliity of group-duplicators is by default the empty that links a group for duplication.
The object layers inside group are only used to do a pre-check if the group objects are even visible at all. That to allow grouping with permanently hidden objects.

Ton Roosendaal (ton) added a comment.Via Old WorldOct 21 2012, 6:25 PM

This has been fixed in svn now! Duplicated groups on particles are now on the layer of the particle system.

Ton Roosendaal (ton) closed this task as "Resolved".Via Old WorldOct 21 2012, 6:25 PM

Add Comment